import { StartDevServerOptions as RsbuildStartDevServerOptions, StartServerResult, RsbuildInstance, DevConfig, ServerConfig } from '@rsbuild/shared';
import type { Server, ModernDevServerOptionsNew } from '@modern-js/server';
import type { UniBuilderConfig, ToolsDevServerConfig } from '../types';
type ServerOptions = Partial<Omit<ModernDevServerOptionsNew, 'config'>> & {
    config?: Partial<ModernDevServerOptionsNew['config']>;
};
export declare const transformToRsbuildServerOptions: (dev: NonNullable<UniBuilderConfig['dev']>, devServer: ToolsDevServerConfig) => {
    dev: DevConfig;
    server: ServerConfig;
};
export type StartDevServerOptions = RsbuildStartDevServerOptions & {
    apiOnly?: boolean;
    serverOptions?: ServerOptions;
};
export type UniBuilderStartServerResult = Omit<StartServerResult, 'server'> & {
    server: Server;
};
export declare function startDevServer(rsbuild: RsbuildInstance, options: StartDevServerOptions | undefined, builderConfig: UniBuilderConfig): Promise<UniBuilderStartServerResult>;
export {};
